local FOLDER_NAME, private = ...
local core = LibStub("AceAddon-3.0"):GetAddon(FOLDER_NAME)
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanmats ={
                ["id"] = {10940, 10938, 10939, 11083, 10998,11082, 10978, 11084, 11137, 11134, 11135, 11138, 11139, 11176, 11174, 11175, 11177, 11178, 16204, 16202, 16203, 14343, 14344},
                ["type"] = {0, 1, 2, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4},
                ["strings"] = {L["Strange Dust"], L["Magic Essence"], L["Magic Essence"], L["Soul Dust"], L["Astral Essence"], L["Astral Essence"], L["Glimmering Shard"], L["Glimmering Shard"], L["Vision Dust"], L["Mystic Essence"], L["Mystic Essence"], L["Glowing Shard"], L["Glowing Shard"], L["Dream Dust"], L["Nether Essence"], L["Nether Essence"], L["Radiant Shard"], L["Radiant Shard"], L["Illusion Dust"], L["Eternal Essence"], L["Eternal Essence"], L["Brilliant Shard"], L["Brilliant Shard"]},
                ["short"] = {L["Short_Strange Dust"], L["Short_Magic Essence"], L["Short_Magic Essence"], L["Short_Soul Dust"], L["Short_Astral Essence"], L["Short_Astral Essence"], L["Short_Glimmering Shard"], L["Short_Glimmering Shard"], L["Short_Vision Dust"], L["Short_Mystic Essence"], L["Short_Mystic Essence"], L["Short_Glowing Shard"], L["Short_Glowing Shard"], L["Short_Dream Dust"], L["Short_Nether Essence"], L["Short_Nether Essence"], L["Short_Radiant Shard"], L["Short_Radiant Shard"], L["Short_Illusion Dust"], L["Short_Eternal Essence"], L["Short_Eternal Essence"], L["Short_Brilliant Shard"], L["Short_Brilliant Shard"]},
                ["color"] = {"7fffd4", "1589ff", "1589ff", "6960ec", "ffb249", "ffb249", "43c6db", "43c6db", "6beeff", "b93b8f", "b93b8f", "ffbdff", "ffbdff", "e8adaa",  "77ff35","77ff35", "c45aec", "c45aec", "c48793", "6698ff", "6698ff", "ffcc66", "ffcc66"}
                }
local bcmats ={
                ["id"] = {22445, 22447, 22446, 22448, 22449, 22450},
                ["type"] = {0, 1, 2, 3, 4, 0},
                ["strings"] = {L["Arcane Dust"], L["Planar Essence"], L["Planar Essence"], L["Prismatic Shard"], L["Prismatic Shard"], L["Void Crystal"]},
                ["short"] = {L["Short_Arcane Dust"], L["Short_Planar Essence"], L["Short_Planar Essence"], L["Short_Prismatic Shard"], L["Short_Prismatic Shard"], L["Short_Void Crystal"]},
                ["color"] = {"ff3fb4", "b048b5", "b048b5", "368bc1", "368bc1", "b65dff"}
                }
local lkmats ={
                ["id"] = {34054, 34056, 34055, 34053, 34052, 34057},
                ["type"] = {0, 1, 2, 3, 4, 0},
                ["strings"] = {L["Infinite Dust"], L["Cosmic Essence"], L["Cosmic Essence"], L["Dream Shard"], L["Dream Shard"], L["Abyss Crystal"]},
                ["short"] = {L["Short_Infinite Dust"], L["Short_Cosmic Essence"], L["Short_Cosmic Essence"], L["Short_Dream Shard"], L["Short_Dream Shard"], L["Short_Abyss Crystal"]},
                ["color"] = {"5cb3ff", "bb5edb", "bb5edb", "82cafa", "82cafa", "3090c7"}
                }
local catamats ={
                ["id"] = {52555, 52718, 52719, 52720, 52721, 52722},
                ["type"] = {0, 1, 2, 3, 4, 0},
                ["strings"] = {L["Hypnotic Dust"], L["Celestial Essence"], L["Celestial Essence"], L["Heavenly Shard"], L["Heavenly Shard"], L["Maelstrom Crystal"]},
                ["short"] = {L["Short_Hypnotic Dust"], L["Short_Celestial Essence"], L["Short_Celestial Essence"], L["Short_Heavenly Shard"], L["Short_Heavenly Shard"], L["Short_Maelstrom Crystal"]},
                ["color"] = {"7fffd4", "76e0f5", "76e0f5", "f77959", "f77959", "7959f7"}
                }
local mopsmats ={
                ["id"] = {74249, 74250, 74252, 74247, 105718, 74248, 80433, 94289, 102218},
                ["type"] = {0, 0, 3, 0, 0, 0, 0, 0, 0},
                ["strings"] = {L["Spirit Dust"], L["Mysterious Essence"], L["Ethereal Shard"], L["Ethereal Shard"], L["Sha Crystal Fragment"], L["Sha Crystal"], L["Blood Spirit"], L["Haunting Spirit"], L["Spirit of War"]},
                ["short"] = {L["Short_Spirit Dust"], L["Short_Mysterious Essence"], L["Short_Ethereal Shard"], L["Short_Ethereal Shard"], L["Short_Sha Crystal Fragment"], L["Short_Sha Crystal"], L["Short_Blood Spirit"], L["Short_Haunting Spirit"], L["Short_Spirit of War"]},
                ["color"] = {"ffc9a9", "14ff14", "00aaff", "00aaff", "aa00ff", "aa00ff", "f34d49", "ff7eff", "eb2400"}
                }
private.vanmats = vanmats
private.bcmats = bcmats
private.lkmats = lkmats
private.catamats = catamats
private.mopsmats = mopsmats